//
//  PhotoEditingToolStickerCell.swift
//  WoWonder
//
//  Created by iMac on 23/05/25.
//  Copyright © 2025 ScriptSun. All rights reserved.
//

import UIKit
import SDWebImage

class PhotoEditingToolStickerCell: UICollectionViewCell {
    
    @IBOutlet weak var stickerImageView: UIImageView!
    
    override func awakeFromNib() {
        super.awakeFromNib()
        
        // Initialization code
        
    }
    
    // Set Data
    func setData(data: PhotoStickerModel) {
        let url = URL(string: data.url)
        let indicator = SDWebImageActivityIndicator.medium
        self.stickerImageView.sd_imageIndicator = indicator
        DispatchQueue.global(qos: .userInteractive).async {
            self.stickerImageView.sd_setImage(with: url, placeholderImage: UIImage(named: ""))
        }
    }
    
}
